Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.util
Class HigginsSuggestionOracle.MultiWordSuggestion

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.util.HigginsSuggestionOracle.MultiWordSuggestion

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, com.google.gwt.user.client.ui.SuggestOracle.Suggestion

Enclosing class:
  HigginsSuggestionOracle

public static class HigginsSuggestionOracle.MultiWordSuggestion
extends Object
implements com.google.gwt.user.client.ui.SuggestOracle.Suggestion, com.google.gwt.user.client.rpc.IsSerializable

Suggestion class for `MultiWordSuggestOracle`.

Constructor Summary
`HigginsSuggestionOracle.MultiWordSuggestion()` Constructor used by RPC.
`HigginsSuggestionOracle.MultiWordSuggestion(String replacementString, String displayString)` Constructor for `MultiWordSuggestion`.

Method Summary
`String` | `getDisplayString()`
`String` | `getReplacementString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HigginsSuggestionOracle.MultiWordSuggestion

    public HigginsSuggestionOracle.MultiWordSuggestion()

  Constructor used by RPC.

### HigginsSuggestionOracle.MultiWordSuggestion

    public HigginsSuggestionOracle.MultiWordSuggestion(String replacementString,
                                                       String displayString)

  Constructor for `MultiWordSuggestion`.

Parameters:
  `replacementString` - the string to enter into the SuggestBox's text box if the suggestion is chosen
  `displayString` - the display string

Method Detail

### getDisplayString

    public String getDisplayString()

  Specified by:
    `getDisplayString` in interface `com.google.gwt.user.client.ui.SuggestOracle.Suggestion`

### getReplacementString

    public String getReplacementString()

  Specified by:
    `getReplacementString` in interface `com.google.gwt.user.client.ui.SuggestOracle.Suggestion`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD